---
title: AuthenticatorAssertionResponse.signature
slug: Web/API/AuthenticatorAssertionResponse/signature
tags:
  - API
  - AuthenticatorAssertionResponse
  - Property
  - Reference
  - Web Authentication API
  - WebAuthn
---
<p>{{APIRef("Web Authentication API")}}{{securecontext_header}}</p>

<p>The <strong><code>signature</code></strong> read-only property of the {{domxref("AuthenticatorAssertionResponse")}} interface is an {{jsxref("ArrayBuffer")}} object which is the signature of the authenticator for both {{domxref("AuthenticatorAssertionResponse.authenticatorData")}} and a SHA-256 hash of the client data ({{domxref("AuthenticatorResponse.clientDataJSON","AuthenticatorAssertionResponse.clientDataJSON")}}).</p>

<p>This signature will be sent to the server for control, as part of the response. It provides the proof that an authenticator does possess the private key which was used for the credential's generation.</p>

<div class="notecard note">
<p><strong>Note:</strong> An <code>AuthenticatorAssertionResponse</code> instance is available on {{domxref("PublicKeyCredential.response")}} after calling {{domxref("CredentialsContainer.get()","navigator.credentials.get()")}}.</p>
</div>

<div class="note">
<p><strong>Note:</strong> This property may only be used in top-level contexts and will not be available in an {{HTMLElement("iframe")}} for example.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>signature</em> = <em>authenticatorAssertionResponse</em>.signature</pre>

<h3 id="Value">Value</h3>

<p>An {{jsxref("ArrayBuffer")}} object which the signature of the authenticator (using its private key) for both {{domxref("AuthenticatorAssertionResponse.authenticatorData")}} and a SHA-256 hash given by the client for its data (the challenge, the origin, etc. and available from {{domxref("AuthenticatorResponse.clientDataJSON","AuthenticatorAssertionResponse.clientDataJSON")}}).</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var options = {
  challenge: new Uint8Array(26), // will be another value, provided by the relying party server
  timeout: 60000
};

navigator.credentials.get({  publickey: options })
  .then(function (assertionPKCred) {
    var signature = assertionPKCred.response.signature;

    // Send response and client extensions to the server so that it can
    // go on with the authentication

}).catch(function (err) {
   console.error(err);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAuthn','#dom-authenticatorassertionresponse-signature','signature')}}</td>
   <td>{{Spec2('WebAuthn')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AuthenticatorAssertionResponse.signature")}}</p>
